Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

lib Namespace Reference

## Detailed Description

File containing the eZBZIP2Handler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZDir class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZFile class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZFileHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZForwardCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZGZIPCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZGZIPShellCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZGZIPZLIBCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZLog class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZMD5 class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZNoCompressionHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZ1337Translator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZBorkTranslator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCharsetInfo class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCharTransform class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCodeMapper class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCodePage class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCodePageCodec class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZCodePageMapper class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZMBStringMapper class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZRandomTranslator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZShuffleTranslator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTextCodec class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTranslationCache class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTranslatorGroup class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTranslatorHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTranslatorManager class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZTSTranslator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

@subpackage i18n

Provides internationalization using XML (.ts) files

@subpackage i18n

File containing the eZUTF8Codec class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing abstract session handler

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Abstract session handler class to extend

CALLBACKS: destroy, gc, regenerate & cleanup functions MUST implement callbacks. Definition is documented in functions on this class, examples can be found in the handlers and examples of use can be sessin in ezsession.php class doc section.

Since
  4.4 @abstract

@subpackage ezsession

File containing DB session handler

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

DB session handler class

Since
  4.4

@subpackage ezsession

File containing PHP session handler

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

PHP session handler class Does not register it self as opposed to most other handler, as the point is to let PHP handle most things

Since
  4.4

@subpackage ezsession

File containing Symfony session handler

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Symfony session handler. Basically, it let Symfony manage the session and call the Symfony session storage when needed for very specific operation.

@subpackage ezsession

File containing session interface

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

eZ Publish Session interface class

Session wrapper for session management, with support for handlers. Handler is defined by site.ini[Session]\Handler setting.

The session system has a hook system which allows external code to perform extra tasks before and after a certain action is executed. For instance to cleanup a table when sessions are removed. This can be used by adding a callback with the eZSession::addCallback function, first param is type and second is callback (called with call_user_func_array)

function cleanupStuff( $db, $key, $escKey )
{
// Do cleanup here
}
eZSession::addCallback( 'destroy_pre', 'cleanupstuff');
// Or if it was a class function:
// eZSession::addCallback( 'destroy_pre', array('myClass', 'myCleanupStuff') );
eZSession\addCallback
static addCallback( $type, $callback)
Definition: lib/ezsession/classes/ezsession.php:622
$db
$db
Definition: ezarticle/user/authorlist.php:53

When a specific session is destroyed in the database it will call the `destroy_pre` and `destroy_post` hooks. The signature of the function is function destroy( $db, $key, $escapedKey )

When a specific session is regenerated (login/logout) and kept it will call `regenerate_pre` and `regenerate_post` hooks. The signature of the function is function regenerate( $db, $escapedNewKey, $escapedOldKey, $escUserID )

When multiple sessions are expired (garbage collector) in the database it will call the `gc_pre` and `gc_post` hooks. The signature of the function is function gcollect( $db, $expiredTime )

When all sessions are removed from the database it will call the `cleanup_pre` and `cleanup_post` hooks. The signature of the function is function cleanup( $db )

Parameters

  $db | The database object used by the session manager.
  $key | The session key which are being worked on, see also $escapedKey
  $escapedKey | The same key as $key but is escaped correctly for the database. Use this to save a call to eZDBInterface::escapeString()
  $expirationTime | An integer specifying the timestamp of when the session will expire.
  $expiredTime | Similar to $expirationTime but is the time used to figure if a session is expired in the database. ie. all sessions with lower expiration times will be removed.

@subpackage ezsession

File containing the eZDebug class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZDebugSetting class

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZExecution class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZExpiryHandler class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZExtension class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZINI class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZPHPCreator class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZSys class.

Portions are modifications of patches by Andreas Böckler and Francis Nart

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Easy access to various system settings

The system is checked to see whether a virtualhost-less setup is used and sets the appropriate variables which can be fetched with siteDir(), wwwDir() and indexFile(). It also detects file and environment separators, fetch them with fileSeparator() and envSeparator().

`// Run the init in the index file eZSys::init( 'index.php', $ini->variable( 'SiteAccessSettings', 'ForceVirtualHost' ) === 'true' ); echo eZSys::indexFile(); echo eZSys::wwwDir();`

@subpackage ezutils

File containing the eZURI class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZPublishSDK class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

File containing the eZClusterFileHandlerInterface interface.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.